Update Data Source Custom Field Values

Prev Next
Put
/api/v1/DataSteward/data-sources/{dataSourceId}/custom-fields

Update custom field values for a specified data source

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
dataSourceId
integer (int32) Required

Id of the data source having its values updated

Body parameters

List of new values and Ids to update custom fields with

Expand All
object
values
Array of object (Configuration.Api.Models.v1.UpdatedCustomValue) | null

List of user-defined Custom Field ID and Value pairs

object
customFieldId
integer (int32)

The ID of the Custom Field to be updated

value

The new value of the Custom Field

certifyValues
boolean

Whether the Custom Field values are flagged as certified

Expand All
object
values
Array of object (Configuration.Api.Models.v1.UpdatedCustomValue) | null

List of user-defined Custom Field ID and Value pairs

object
customFieldId
integer (int32)

The ID of the Custom Field to be updated

value

The new value of the Custom Field

certifyValues
boolean

Whether the Custom Field values are flagged as certified

Expand All
object
values
Array of object (Configuration.Api.Models.v1.UpdatedCustomValue) | null

List of user-defined Custom Field ID and Value pairs

object
customFieldId
integer (int32)

The ID of the Custom Field to be updated

value

The new value of the Custom Field

certifyValues
boolean

Whether the Custom Field values are flagged as certified

Expand All
object
values
Array of object (Configuration.Api.Models.v1.UpdatedCustomValue) | null

List of user-defined Custom Field ID and Value pairs

object
customFieldId
integer (int32)

The ID of the Custom Field to be updated

value

The new value of the Custom Field

certifyValues
boolean

Whether the Custom Field values are flagged as certified

Responses
200

OK

Expand All
object
errors
Array of object (FileError) | null

Errors that occurred during processing

object
row
integer (int32) | null
column
string | null
description
string | null
identicalCount
integer (int32)

Count of custom fields that were not changed because of an identical value.

insertedCount
integer (int32)

Count of custom fields with new values.

updatedCount
integer (int32)

Count of custom fields that were updated with new values.

deletedCount
integer (int32)

Count of custom fields with deleted values.

skippedCount
integer (int32)

Count of custom fields with skipped values.

404

Not Found

object
error
string | null